View Issue Details

IDProjectCategoryView StatusLast Update
0003041ScribusUser Interfacepublic2006-11-06 23:06
Reporteralexandre Assigned Toplinnell 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionnot fixable 
PlatformGNU/LinuxOSOS VersionUbuntu Dapper
Product Version1.3.2cvs 
Target VersionFixed in Version 
Summary0003041: line width spinbox in Properties palettes behaves weird
DescriptionValue of line width defaults to 0pt on mousewheel event over it. Right after that it's impossible to change width wth spinbox's up/down buttons.
Steps To Reproduce1. Draw a line
2. Open Line tab in Properties palette
3. Point mouse cursor to the area above "Line width" spinbox
4. Scroll up to increase value (from default "1pt")
5. Value becomes "0"
6. Try to click up button to increase the value from zero. Nothing happens.
7. Try to use mousewheel. Noting happens.
8. Escape this line.
9. Reselect it again.
10. Repeat 3rd and 4th steps. Value changes just fine, when increased. When you try to decrease it with mousewheel, it doesn't fall incrementally by 1, but becomes "0" at once.
11. Then try to change value with spinbox buttons. The value becomes "0" again and again cannot be changed neither by mosuewheel, nor by spinbox buttons.
TagsNo tags attached.
Patch

Relationships

has duplicate 0005028 closedplinnell resizing object via properties doesn't work 
related to 0004423 closedcbradney Metabug: Ubuntu/Kubuntu issues that prevent it from being the perfect platform for Scribus 
child of 0003826 closedcbradney Reference to Ubuntu Dapper Bug #37711: Unable to enter numbers into real number spinboxes 

Activities

cbradney

2006-01-21 22:41

administrator   ~0008227

Are you building CVS or using a deb? Works perfectly here.

alexandre

2006-01-21 22:51

developer   ~0008228

Always CVS

skeve

2006-02-01 16:58

reporter   ~0008527

I can confirm the same problem (except p.10) in case of setting up page margins. My locale is RU_ru.KOI8-R. When I choose 'en' locale (LC_ALL=en scribus) everything goes ok.

plinnell

2006-02-03 13:27

viewer   ~0008548

you not only need to set the locale, but switch the UI language into Russian. I tested other UI language choices and they work, even under locale change:


export LANG="RU_ru.KOI8-R"
mrdocs@linux:~> locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=RU_ru.KOI8-R
LC_CTYPE="RU_ru.KOI8-R"
LC_NUMERIC="RU_ru.KOI8-R"
LC_TIME="RU_ru.KOI8-R"
LC_COLLATE="RU_ru.KOI8-R"
LC_MONETARY="RU_ru.KOI8-R"
LC_MESSAGES="RU_ru.KOI8-R"
LC_PAPER="RU_ru.KOI8-R"
LC_NAME="RU_ru.KOI8-R"
LC_ADDRESS="RU_ru.KOI8-R"
LC_TELEPHONE="RU_ru.KOI8-R"
LC_MEASUREMENT="RU_ru.KOI8-R"
LC_IDENTIFICATION="RU_ru.KOI8-R"
LC_ALL=


I normally run this machine under LANG=en_US.UTF-8

alexandre

2006-02-03 13:49

developer   ~0008549

Sorry to disappoint you, Peter, but this isn't minor issue. I can confirm presence of the issue on both Linux with ru_RU.UTF-8 and Windows XP SP1 with Russian MUI.

cbradney

2006-02-03 14:08

administrator   ~0008550

Please firstly fix your translations in the mpalette and qobject areas:
<space>pt must be translated to <space>pt (or whatever pt translates to), and the other <nospace>pt to <nospace>pt.

alexandre

2006-02-03 14:14

developer   ~0008551

Sure, thanks for reminding me :) Let's see if these are related

plinnell

2006-02-03 22:22

viewer   ~0008554

Major issue is data loss or major functionality eg "I cannot type" or serious export or print failure. This is a borderline case I agree.

Issue History

Date Modified Username Field Change
2006-01-21 15:03 alexandre New Issue
2006-01-21 22:41 cbradney Note Added: 0008227
2006-01-21 22:51 alexandre Note Added: 0008228
2006-02-01 16:58 skeve Note Added: 0008527
2006-02-03 13:27 plinnell Note Added: 0008548
2006-02-03 13:27 plinnell Status new => confirmed
2006-02-03 13:27 plinnell Severity major => minor
2006-02-03 13:49 alexandre Note Added: 0008549
2006-02-03 14:08 cbradney Note Added: 0008550
2006-02-03 14:14 alexandre Note Added: 0008551
2006-02-03 22:22 plinnell Note Added: 0008554
2006-11-02 00:36 cbradney Relationship added related to 0004423
2006-11-02 00:37 cbradney Relationship added child of 0003826
2006-11-02 00:39 plinnell Status confirmed => resolved
2006-11-02 00:39 plinnell Resolution open => not fixable
2006-11-02 00:39 plinnell Assigned To => plinnell
2006-11-06 23:04 plinnell Status resolved => closed
2006-12-28 23:20 plinnell Relationship added has duplicate 0005028